Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/30/2023 in all areas

  1. Some questions Witch one is in the right position? how do you tell? How are these polylines made? maybe it needs to be address there instead.
    2 points
  2. Try this, using getvars VIEWCTR X= 55522.1809 Y= 63040.4178 Z= 0 (Read Only) VIEWSIZE 18655.3206 (Read Only) commands ZOOM C pt Scale ZOOM C viewctr viewsize You could make continuous variables as a list (roomnum 55522.1809 63040.4178 18655.3206) maybe save as Ldata then can zoom room 2. Ldata supports saving a list. (VLAX-PUT-LDATA "STEVEN" "view" rooms) (VLAX-GET-LDATA "STEVEN" "view")
    1 point
  3. will overkill work and adjust the tolerance?
    1 point
  4. Welcome to a frustrating world. Simplest way to start programming LISP is as you are doing, (command...... ) and what follows command is exactly as you would type into the command line, unless you are happy for the LISP to have a dialogue box open (automation is great - dialogue boxes are useful, but user interaction is slow). Same as the command line there are prefixes to a command: . (dot) is the native command. It is possible to redefine a command, or call a LISP by the same name as a command (LISP loads last so that is the command that will be used). 'dot' prefix will revert to the native original command _ (underscore) is for the AutoCAD native language version of the command, that is English. Other countries use other languages and the command names are replaced... however the English command can still be used with _ - useful if for example you share LISPs particularly internationally - (dash) is for command line version running if it exists, no dialogues and this means you can take away user interaction. A common first LISP might be a PDF plotting routine where (command "-plot".....) lets you plot without the dialogue box there are a couple of others but these are the main one. As in your question, you can add them together. The arguments after the command name will be the same as you would use in the command line. I'd probably only really use . and - (I don't share many LISPS, no need for _ )
    1 point
  5. THANKS for your REPLY & HELP I APPRECIATE IT..
    1 point
  6. That's right, if there is a stand alone line of code in the LISP (not enclosed by (defun ...... ) then that will be executed as the LISP loads. If the file only contains a single LISP then loading the file on demand as discussed above will run the LISP. You can delete this or comment it out (with ;; )in the file you have saved if it is more convenient. For example, I have a start up LISP file and in this there are lines, outside of a function, that sets the system to my preferences, so it is the same each time I load a drawing rather than whatever it was last time I closed one, this functionality has its uses.
    1 point
  7. Looks like it is working as it should. What do you want it to do? Looking at the LISP (LSP file), it appears to have a lot of the code deleted, and this might be the problem - what you want it to do might be in these missing parts. It is an older code, 2013, but maybe the original author would have the complete code to use?
    1 point
  8. Typo's fixed thanks Steven P. Anushka I need to add a direction check so the block will always be say to bottom and to right. A mirror block check. The dwg was limited in the number of sample lines, are they in any direction ? It did not join did you make block 40M and did you fix the 1.019 to now be 1.0 between the pline ends. That 0.019 will make it not join. Still need the block names, so can add the choice part. Double posted over at Forums/Autodesk. It is a good idea to wait a bit before double posting.
    1 point
  9. The last line in the 11.lsp needs to be (c:11) this will run it once it is loaded. From then if needing to do again typing 11 will run it. (defun c:11 ( / ..... ..... .. ) (c:11) I think it would be easier though to have a menu option to do snapang line the menu can have a sub menu with all the angles. You can then use the menu for next or type the angle. Use ^c^c^p(if (not 11)(load "11")) 11 in the menu. Happy to help making a menu you can see how many options we had. Most of the menu's used a Load function.
    1 point
  10. You can test my Block Distribution program from the following link to my website but the trial version is too old compared to the latest one. https://autolispprograms.wordpress.com/block-distribution-program/
    1 point
×
×
  • Create New...